package validator

import (
	"regexp"

	"github.com/go-playground/validator/v10"
)

const regexSUMSVersion = `^\d{4}\.(0[1-9]|1[0-2])\.\d{2}\.\d{2}(\.E{1})?$`

func validateSUMSVersion(fl validator.FieldLevel) bool {
	ok, _ := regexp.Match(regexSUMSVersion, []byte(fl.Field().String()))
	return ok
}
